import * as fastify from 'fastify';
import { FastifyRequest, FastifyReply } from 'fastify';
import { B as BaseCtx, R as Router, D as DataTransformer } from '../route-Bcly2cdN.js';
import 'zod';

type FastifyPluginOptions = {
    router: Router;
    prefix?: string;
    transformer?: DataTransformer;
    onError?: (result: Record<string, any>, err: Error) => any;
};
type FastifyContext = BaseCtx<FastifyRequest, FastifyReply>;
declare const rpcFastify: fastify.FastifyPluginCallback<FastifyPluginOptions, fastify.RawServerDefault, fastify.FastifyTypeProviderDefault, fastify.FastifyBaseLogger>;

export { type FastifyContext, rpcFastify };
